//TX67803  JOB  (1),TX67803,
//             COND=(0,NE),
//             CLASS=A,MSGCLASS=A,MSGLEVEL=(1,1)
//*
//* 2021/05/26 @KL TX67803
//*                Modify DCM generation macro to set initial values:
//*                  SEG=19
//*                  DEL=N
//*                  CON=N
//*                  RNUM=01
//*                  RTME=001
//*
//RECEIVE EXEC SMP4
//SMPPTFIN DD DATA,DLM='??'
++ USERMOD(TX67803)     /* REWORK(20210304) */             .
++ VER (X067)
   FMID(EBA1101)
 /*
   PROBLEM DESCRIPTION(S):
     TX67803 -
       Modify DCM generation macro to set initial values:
           SEG=19
           DEL=N
           CON=N
           RNUM=01
           RTME=001

       Note that usermod TX67810 must be installed to prevent
       VS1 from ignoring many of these changes.

   COMPONENT:  5741-SC1C4-EBA1101

   APARS FIXED: TX67803

   SPECIAL CONDITIONS:
     IOGEN:  An I/O generation is required for implementation
       of the functionality added by this usermod.
       GENTYPE = IO

   COMMENTS:
     LAST CHANGE:  2020/08/23

     CROSS REFERENCE-MODULE/MACRO NAMES TO APARS
      IEECDCM   TX67803

     CROSS REFERENCE-APARS TO MODULE/MACRO NAMES
      TX67803   IEECDCM

     THE FOLLOWING MODULES AND/OR MACROS ARE AFFECTED BY THIS USERMOD:

     MACROS
       IEECDCM
     LISTEND
 */.
++ MACUPD   (IEECDCM ) DISTLIB(AMODGEN ).
./ CHANGE NAME=IEECDCM
&L       SETC  '1'                 DCMRTME INITIAL VALUE       @TX67803 01650003
&P       SETC  '1'                 DCMRTMED INITIAL VALUE      @TX67803 01800003
&H       SETC  '19'                DCMSEG INITIAL VALUE        @TX67803 03350003
&K       SETC  '1'                 DCMRNUM INITIAL VALUE       @TX67803 03400003
&M       SETC  '19'                DCMSEGDF INITIAL VALUE      @TX67803 03450003
&N       SETC  '19'                DCMRNUMD INITIAL VALUE      @TX67803 03500003
DCMDEL   DC    C'N '               DEL VALUE                   @TX67803 13900003
DCMCON   DC    C'N'                CON VALUE                   @TX67803 13950003
DCMOPTST DC    X'20'               SCREEN CONTROL OPTIONS      @TX67803 15350003
??
//SMPCNTL  DD  *
 RECEIVE S(TX67803).
//*
//APPLYCK EXEC SMP4
//SMPCNTL  DD  *
 APPLY S(TX67803) CHECK BYPASS(ID).
//*
//APPLY   EXEC SMP4
//SMPCNTL  DD  *
 APPLY S(TX67803).
//

//*---- use the following steps for REJECT or RESTORE ------------- ***
//REJECT  EXEC SMP4
//SMPCNTL  DD  *
 REJECT  S(TX67803).
//
//RESTORE EXEC SMP4
//SMPCNTL  DD  *
 RESTORE S(TX67803).
//
